Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.exp.parser
Interface Node

All Known Implementing Classes:
  AggregateConditionNode, ASTAdd, ASTAnd, ASTBetween, ASTDbPath, ASTDivide, ASTEqual, ASTGreater, ASTGreaterOrEqual, ASTIn, ASTLess, ASTLessOrEqual, ASTLike, ASTLikeIgnoreCase, ASTList, ASTMultiply, ASTNamedParameter, ASTNegate, ASTNot, ASTNotBetween, ASTNotEqual, ASTNotIn, ASTNotLike, ASTNotLikeIgnoreCase, ASTObjPath, ASTOr, ASTPath, ASTScalar, ASTSubtract, ConditionNode, PatternMatchNode, SimpleNode

    public interface Node

Provides basic machinery for constructing the parent and child relationships between nodes. All AST nodes must implement this interface.

Generated by JJTree

Since:
  1.1

Method Summary
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` Called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`Node` | `jjtGetParent()`
`void` | `jjtOpen()` Called after the node has been made the current node.
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.

Method Detail

### jjtOpen

    void jjtOpen()

  Called after the node has been made the current node. It indicates that child nodes can now be added to it.

### jjtClose

    void jjtClose()

  Called after all the child nodes have been added.

### jjtSetParent

    void jjtSetParent(Node n)

  This pair of methods are used to inform the node of its parent.

### jjtGetParent

    Node jjtGetParent()

### jjtAddChild

    void jjtAddChild(Node n,
                     int i)

  This method tells the node to add its argument to the node's list of children.

### jjtGetChild

    Node jjtGetChild(int i)

  This method returns a child node. The children are numbered from zero, left to right.

### jjtGetNumChildren

    int jjtGetNumChildren()

  Return the number of children the node has.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.